// FILENAME:	DM_The_Stand.cs
//
// Based On:      DM_City_On_The_Edge by CHupie Doll & Youth in Asia

// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "DM_The_Stand";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to DM_The_Stand!  This map designed by ''|''mJ.  This and other maps are available at http://www6.50megs.com/temujin.  At this site you will also find Temujin's skin collections and training manual.");
}

function setDefaultMissionOptions()
{

   // Keep tracks of hercs near a door
	$HercsAtDoor1 = 0;
	$HercsAtDoor2 = 0; 

	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
      marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

// Door Operation - Add On...
function DoorRed::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
            setposition ( "MissionGroup\\RedDoor", 0, 852, -80 );
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}

function DoorRed::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
            setposition ( "MissionGroup\\RedDoor", 0, 852, 80, 90 );
	}
}

function DoorBlue::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor2 == 0){
            setposition ( "MissionGroup\\BlueDoor", 0, -850, -80 );
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}

function DoorBlue::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
            setposition ( "MissionGroup\\BlueDoor", 0, -850, 80, 90 );
		}
}
